Alias "third_party.yiiext.twig-renderer.ETwigViewRenderer" is invalid.

More
1 week 20 hours ago #217065 by pnickel
I have not examined my online surveys on my website hosted by GoDaddy for several (many?) months.  After the first of the year I found that they were not loading.  This week I got back to work on them.  I found that LimeSurvey needed php version 7-7.499 and GoDaddy had updated to v. 8.xxx.    I downgraded my php on GoDaddy back to 7.xxx.   But my surveys still do not load.  So I reinstalled LimeSurvey.  Now I find that my surveys have been deleted from my server! 

So I went to open Admin to work on rebuilding my surveys.  Now I get:    Internal Server Error     Alias "third_party.yiiext.twig-renderer.ETwigViewRenderer" is invalid. Make sure it points to an existing PHP file and the file is readable.     An internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.     Thank you.I am at a total loss as to how to get LimeSurvey running again so I can direct people to my online surveys.

Please Log in to join the conversation.

More
1 week 18 hours ago #217069 by holch
Most likely your surveys were not deleted from the server, because they are stored in the database. Now if you deleted the database, then your surveys are lost. Of course, you need to install into the same database.

But with all that said, you are not mentioning the versions of Limesurvey you had, the one you installed, etc.

Sounds like during the installation something went wrong. Maybe the files have not been uploaded all correctly.

I answer at the LimeSurvey forum in my spare time, I'm not a LimeSurvey GmbH employee.
No support via private message.

Please Log in to join the conversation.

More
1 week 17 hours ago #217074 by pnickel
LimeSurvey version 5.0.1. No idea what the earlier version was. I will try re-installing.

Please Log in to join the conversation.

More
1 week 17 hours ago #217075 by pnickel
Well, this is also extremely weird. GoDaddy reports that the version is 5.0.1. When i start to reinstall it gives me a lower number. When I enter my un and pw the version drops to "2.06+151215" and cannot be changed.

Please Log in to join the conversation.

More
1 week 16 hours ago #217078 by holch
How do you install this? Is this an installation routine of GoDaddy or do you install it manually? Sounds like you are using one of those "one click installers" that some hosts provide. Might be an error in their routine.

2.06+151215 is ancient! about 5,5 years old. Maybe this was your old version?

I answer at the LimeSurvey forum in my spare time, I'm not a LimeSurvey GmbH employee.
No support via private message.

Please Log in to join the conversation.

More
1 week 13 hours ago #217079 by pnickel
Yeah. It seems to be more a problem of how GoDaddy does the install. I ended up installing to a new directory and then importing all my surveys from the backup on my desktop. Everything seems to be working ok now.

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now